/[meta-cvs]/meta-cvs/F-15EA968DACF749C314CE6FC5255DC4B0
ViewVC logotype

Contents of /meta-cvs/F-15EA968DACF749C314CE6FC5255DC4B0

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.5.4.1 - (hide annotations)
Thu Jan 8 15:34:05 2004 UTC (10 years, 3 months ago) by kaz
Branch: mcvs-1-0-branch
CVS Tags: mcvs-1-0-branch~merged-to-HEAD-1, mcvs-1-0-branch~merged-to-HEAD-0, mcvs-1-0-11, mcvs-1-0-10, mcvs-1-0-13, mcvs-1-0-12
Changes since 1.5: +2 -2 lines
* code/grab.lisp (*grab-help*): Spelling error.

* code/system.lisp: Require posix module before clisp-unix,
which wants it.

* code/clisp-unix.lisp: Don't bother requiring posix,
since it comes from system.
Require "chatter" rather than "chatter.lisp"; this is why
were not getting the compiled version of this module
into the images.

* code/unix-bindings/unix.lisp: If the CLISP version is
newer than 2.31 then set the variables ffi::*output-c-functions*
and ffi::*output-c-variables* to get the old translator
behavior.
1 kaz 1.3 ;;; This source file is part of the Meta-CVS program,
2 kaz 1.2 ;;; which is distributed under the GNU license.
3     ;;; Copyright 2002 Kaz Kylheku
4    
5 kaz 1.5.4.1 #+(or clisp cmu18c) (require "posix")
6    
7 kaz 1.5 #+(and clisp clisp-unix-funcs)
8     (require "clisp-unix")
9    
10     #+(and clisp (not clisp-unix-funcs))
11     (require "clisp-linux")
12    
13     #+cmu18c
14     (require "cmucl-unix")

  ViewVC Help
Powered by ViewVC 1.1.5